package com.cool.store.entity.wallet;

import java.util.Date;
import javax.persistence.*;

@Table(name = "zxjp_temp_open_wallet_info")
public class TempOpenWalletInfoDO {
    /**
     * 门店编号
     */
    @Column(name = "store_code")
    private String storeCode;

    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;

    /**
     * 门店模式
     */
    @Column(name = "store_mode")
    private String storeMode;

    /**
     * 台账名称
     */
    @Column(name = "ledger_name")
    private String ledgerName;

    /**
     * 台账状态
     */
    @Column(name = "ledger_status")
    private String ledgerStatus;

    /**
     * 工商类型
     */
    @Column(name = "business_type")
    private String businessType;

    /**
     * 工商注册名称
     */
    @Column(name = "business_reg_name")
    private String businessRegName;

    /**
     * 营业执照编号
     */
    @Column(name = "business_license_no")
    private String businessLicenseNo;

    /**
     * 工商地址
     */
    @Column(name = "business_address")
    private String businessAddress;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区
     */
    private String district;

    /**
     * 法人名称
     */
    @Column(name = "legal_person_name")
    private String legalPersonName;

    /**
     * 法人证件号
     */
    @Column(name = "legal_person_id_no")
    private String legalPersonIdNo;

    /**
     * 身份证开始时间
     */
    @Column(name = "legal_id_start_date")
    private Date legalIdStartDate;

    /**
     * 身份证过期时间
     */
    @Column(name = "legal_id_expire_date")
    private Date legalIdExpireDate;

    /**
     * 结算人
     */
    @Column(name = "settler_name")
    private String settlerName;

    /**
     * 结算人证件号
     */
    @Column(name = "settler_id_no")
    private String settlerIdNo;

    /**
     * 结算人身份证开始时间
     */
    @Column(name = "settler_id_start_date")
    private Date settlerIdStartDate;

    /**
     * 结算人身份证过期时间
     */
    @Column(name = "settler_id_expire_date")
    private Date settlerIdExpireDate;

    /**
     * 开户支行名称
     */
    @Column(name = "bank_branch_name")
    private String bankBranchName;

    /**
     * 开户支行编号
     */
    @Column(name = "bank_branch_no")
    private String bankBranchNo;

    /**
     * 结算卡
     */
    @Column(name = "settlement_card_no")
    private String settlementCardNo;

    /**
     * 银行预留手机号
     */
    @Column(name = "bank_reserved_phone")
    private String bankReservedPhone;

    /**
     * 分账关系
     */
    @Column(name = "accounting_relation")
    private String accountingRelation;

    /**
     * 获取门店编号
     *
     * @return store_id - 门店编号
     */
    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    /**
     * 获取门店名称
     *
     * @return store_name - 门店名称
     */
    public String getStoreName() {
        return storeName;
    }

    /**
     * 设置门店名称
     *
     * @param storeName 门店名称
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取门店模式
     *
     * @return store_mode - 门店模式
     */
    public String getStoreMode() {
        return storeMode;
    }

    /**
     * 设置门店模式
     *
     * @param storeMode 门店模式
     */
    public void setStoreMode(String storeMode) {
        this.storeMode = storeMode;
    }

    /**
     * 获取台账名称
     *
     * @return ledger_name - 台账名称
     */
    public String getLedgerName() {
        return ledgerName;
    }

    /**
     * 设置台账名称
     *
     * @param ledgerName 台账名称
     */
    public void setLedgerName(String ledgerName) {
        this.ledgerName = ledgerName;
    }

    /**
     * 获取台账状态
     *
     * @return ledger_status - 台账状态
     */
    public String getLedgerStatus() {
        return ledgerStatus;
    }

    /**
     * 设置台账状态
     *
     * @param ledgerStatus 台账状态
     */
    public void setLedgerStatus(String ledgerStatus) {
        this.ledgerStatus = ledgerStatus;
    }

    /**
     * 获取工商类型
     *
     * @return business_type - 工商类型
     */
    public String getBusinessType() {
        return businessType;
    }

    /**
     * 设置工商类型
     *
     * @param businessType 工商类型
     */
    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    /**
     * 获取工商注册名称
     *
     * @return business_reg_name - 工商注册名称
     */
    public String getBusinessRegName() {
        return businessRegName;
    }

    /**
     * 设置工商注册名称
     *
     * @param businessRegName 工商注册名称
     */
    public void setBusinessRegName(String businessRegName) {
        this.businessRegName = businessRegName;
    }

    /**
     * 获取营业执照编号
     *
     * @return business_license_no - 营业执照编号
     */
    public String getBusinessLicenseNo() {
        return businessLicenseNo;
    }

    /**
     * 设置营业执照编号
     *
     * @param businessLicenseNo 营业执照编号
     */
    public void setBusinessLicenseNo(String businessLicenseNo) {
        this.businessLicenseNo = businessLicenseNo;
    }

    /**
     * 获取工商地址
     *
     * @return business_address - 工商地址
     */
    public String getBusinessAddress() {
        return businessAddress;
    }

    /**
     * 设置工商地址
     *
     * @param businessAddress 工商地址
     */
    public void setBusinessAddress(String businessAddress) {
        this.businessAddress = businessAddress;
    }

    /**
     * 获取省
     *
     * @return province - 省
     */
    public String getProvince() {
        return province;
    }

    /**
     * 设置省
     *
     * @param province 省
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * 获取市
     *
     * @return city - 市
     */
    public String getCity() {
        return city;
    }

    /**
     * 设置市
     *
     * @param city 市
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * 获取区
     *
     * @return district - 区
     */
    public String getDistrict() {
        return district;
    }

    /**
     * 设置区
     *
     * @param district 区
     */
    public void setDistrict(String district) {
        this.district = district;
    }

    /**
     * 获取法人名称
     *
     * @return legal_person_name - 法人名称
     */
    public String getLegalPersonName() {
        return legalPersonName;
    }

    /**
     * 设置法人名称
     *
     * @param legalPersonName 法人名称
     */
    public void setLegalPersonName(String legalPersonName) {
        this.legalPersonName = legalPersonName;
    }

    /**
     * 获取法人证件号
     *
     * @return legal_person_id_no - 法人证件号
     */
    public String getLegalPersonIdNo() {
        return legalPersonIdNo;
    }

    /**
     * 设置法人证件号
     *
     * @param legalPersonIdNo 法人证件号
     */
    public void setLegalPersonIdNo(String legalPersonIdNo) {
        this.legalPersonIdNo = legalPersonIdNo;
    }

    /**
     * 获取身份证开始时间
     *
     * @return legal_id_start_date - 身份证开始时间
     */
    public Date getLegalIdStartDate() {
        return legalIdStartDate;
    }

    /**
     * 设置身份证开始时间
     *
     * @param legalIdStartDate 身份证开始时间
     */
    public void setLegalIdStartDate(Date legalIdStartDate) {
        this.legalIdStartDate = legalIdStartDate;
    }

    /**
     * 获取身份证过期时间
     *
     * @return legal_id_expire_date - 身份证过期时间
     */
    public Date getLegalIdExpireDate() {
        return legalIdExpireDate;
    }

    /**
     * 设置身份证过期时间
     *
     * @param legalIdExpireDate 身份证过期时间
     */
    public void setLegalIdExpireDate(Date legalIdExpireDate) {
        this.legalIdExpireDate = legalIdExpireDate;
    }

    /**
     * 获取结算人
     *
     * @return settler_name - 结算人
     */
    public String getSettlerName() {
        return settlerName;
    }

    /**
     * 设置结算人
     *
     * @param settlerName 结算人
     */
    public void setSettlerName(String settlerName) {
        this.settlerName = settlerName;
    }

    /**
     * 获取结算人证件号
     *
     * @return settler_id_no - 结算人证件号
     */
    public String getSettlerIdNo() {
        return settlerIdNo;
    }

    /**
     * 设置结算人证件号
     *
     * @param settlerIdNo 结算人证件号
     */
    public void setSettlerIdNo(String settlerIdNo) {
        this.settlerIdNo = settlerIdNo;
    }

    /**
     * 获取结算人身份证开始时间
     *
     * @return settler_id_start_date - 结算人身份证开始时间
     */
    public Date getSettlerIdStartDate() {
        return settlerIdStartDate;
    }

    /**
     * 设置结算人身份证开始时间
     *
     * @param settlerIdStartDate 结算人身份证开始时间
     */
    public void setSettlerIdStartDate(Date settlerIdStartDate) {
        this.settlerIdStartDate = settlerIdStartDate;
    }

    /**
     * 获取结算人身份证过期时间
     *
     * @return settler_id_expire_date - 结算人身份证过期时间
     */
    public Date getSettlerIdExpireDate() {
        return settlerIdExpireDate;
    }

    /**
     * 设置结算人身份证过期时间
     *
     * @param settlerIdExpireDate 结算人身份证过期时间
     */
    public void setSettlerIdExpireDate(Date settlerIdExpireDate) {
        this.settlerIdExpireDate = settlerIdExpireDate;
    }

    /**
     * 获取开户支行名称
     *
     * @return bank_branch_name - 开户支行名称
     */
    public String getBankBranchName() {
        return bankBranchName;
    }

    /**
     * 设置开户支行名称
     *
     * @param bankBranchName 开户支行名称
     */
    public void setBankBranchName(String bankBranchName) {
        this.bankBranchName = bankBranchName;
    }

    /**
     * 获取开户支行编号
     *
     * @return bank_branch_no - 开户支行编号
     */
    public String getBankBranchNo() {
        return bankBranchNo;
    }

    /**
     * 设置开户支行编号
     *
     * @param bankBranchNo 开户支行编号
     */
    public void setBankBranchNo(String bankBranchNo) {
        this.bankBranchNo = bankBranchNo;
    }

    /**
     * 获取结算卡
     *
     * @return settlement_card_no - 结算卡
     */
    public String getSettlementCardNo() {
        return settlementCardNo;
    }

    /**
     * 设置结算卡
     *
     * @param settlementCardNo 结算卡
     */
    public void setSettlementCardNo(String settlementCardNo) {
        this.settlementCardNo = settlementCardNo;
    }

    /**
     * 获取银行预留手机号
     *
     * @return bank_reserved_phone - 银行预留手机号
     */
    public String getBankReservedPhone() {
        return bankReservedPhone;
    }

    /**
     * 设置银行预留手机号
     *
     * @param bankReservedPhone 银行预留手机号
     */
    public void setBankReservedPhone(String bankReservedPhone) {
        this.bankReservedPhone = bankReservedPhone;
    }

    /**
     * 获取分账关系
     *
     * @return accounting_relation - 分账关系
     */
    public String getAccountingRelation() {
        return accountingRelation;
    }

    /**
     * 设置分账关系
     *
     * @param accountingRelation 分账关系
     */
    public void setAccountingRelation(String accountingRelation) {
        this.accountingRelation = accountingRelation;
    }
}